// compile g++ --static checker.cpp -o checker

#include <iostream>
#include <cstdio>
#include <fstream>
#include <sstream>
#include <string>
#include <cmath>
#include <cstdlib>

using namespace std;

void output_message (double points, string message) {
    cout << points << endl ;
    cerr << message << endl ;
    exit(0);
}

double r=0.0;

string readString(ifstream& f, int n)
{
	char c=' ';
	string s="";
    while(f.get(c)) 
	{
	 if(c<=32) break;
	  s=s+c;
	  n--;
	  if(n==0) break;
    }
    
    return s;
}

int main (int argc, char** argv)
{
    if (argc < 4) output_message(0,"The checker needs input file, correct output and contestant output!");
    ifstream inS(argv[1]), solS(argv[2]), contS(argv[3]);
    // input; correct output; contestant's output
    if (inS.is_open()==false) output_message(0,"Could not open input file!");
    if (solS.is_open()==false) output_message(0,"Could not open correct output file!");
    if (contS.is_open()==false) output_message(0,"Could not open contestant output file!");

    string c1, c2;// correct output integers as strings
    c1=readString(solS,20);
    c2=readString(solS,20);

    string s1, s2;// contestant's
    s1=s2=" ";
    
    s1=readString(contS,20);
    if(c1==s1) r += 0.5;

    s2=readString(contS,20);
    if(c2==s2) r += 0.5;
    
    if(r>1.0) r=1.0;
	if (r==1) output_message(1,"OK!");
	else if (r>0) output_message(r,"Partially correct!");
	else output_message(0,"Wrong answer!");

    return 0;
}
